cURL
curl --request GET \
--url https://api.hubapi.com/automation/sequences/2026-03 \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/automation/sequences/2026-03"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/automation/sequences/2026-03', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"folderId": "<string>"
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Sequences
Retrieve sequences
GET
/
automation
/
sequences
/
2026-03
cURL
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
successful operation
Last modified on March 31, 2026
Was this page helpful?
⌘I